import request from '@/utils/request'

// 查询充值规则管理列表
export function listType(query) {
  return request({
    url: '/mapi/recharge/type/list',
    method: 'get',
    params: query
  })
}

// 查询充值规则管理列表
export function allList() {
  return request({
    url: '/mapi/recharge/type/all',
    method: 'get'
  })
}

// 查询充值规则管理详细
export function getType(id) {
  return request({
    url: '/mapi/recharge/type/' + id,
    method: 'get'
  })
}

// 新增充值规则管理
export function addType(data) {
  return request({
    url: '/mapi/recharge/type',
    method: 'post',
    data: data
  })
}

// 修改充值规则管理
export function updateType(data) {
  return request({
    url: '/mapi/recharge/type',
    method: 'put',
    data: data
  })
}

// 删除充值规则管理
export function delType(id) {
  return request({
    url: '/mapi/recharge/type/' + id,
    method: 'delete'
  })
}


// 修改充值规则管理状态
export function updateTypeStatus(id,status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/mapi/recharge/type/updateStatus',
    method: 'post',
    data: data
  })
}
